<template>
    <div class="SocialButtons">
        <a v-for="item in socialLinks" :key="item.name" :href="item.href" :class="'social-links ' + item.class" rel="noreferrer" target="_blank">
            <i :class="item.icon"></i>
        </a>
    </div>
</template>

<script>
    export default {
    data() {
        return {
            socialLinks : [
                {
                class: 'gitlab',
                name: 'GitLab',
                href: 'https://gitlab.com/tom.kin',
                icon: 'fab fa-gitlab'
                },
                {
                class: 'twitter',
                name: 'Twitter',
                href: 'https://twitter.com/_tommy_le3',
                icon: 'fab fa-twitter'
                },
                {
                clas: 'email',
                name: 'E-Mail',
                href: 'mailto:tomkintzel@tomkintzel.de',
                icon: 'fas fa-paper-plane'
                }
            ]
        }
    }
    }
</script>

<style scoped>
.SocialButtons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    width: 100%;
}
a {
    margin: 3% 6%;
}
</style>